#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xB0,0x11,0x60,0x88,0x5E,0xA9,0x52,0xDF,0x09,0x3F,0x8B,0x37,
		0x0A,0xE7,0x60,0xA0,0x89,0xE9,0xAA,0xB7,0xD4,0xC3,0xA4,0x17,
		0x23,0x78,0x45,0x0C,0x5D,0xCA,0xD2,0x30,0x4C,0xE8,0x18,0xB7,
		0x46,0x59,0x3D,0x5F,0x02,0x79,0x46,0x99,0xC3,0x28,0xC8,0xB2,
		0xE9,0xAC,0xDE,0x3A,0x3A,0x45,0x14,0x5B,0xA3,0xDC,0xA0,0x7F,
		0x97,0x9E,0xF8,0x5B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
